<?php

namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm00015004DesalocacaoRecursosFactory {
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
     public function saveDesalocacao(array $params){
        
        $sql = "INSERT INTO FCT_DEVAGENDRECURCON (
                    NRDEVAGENDRECURCON,
                    NRRECURSOSAGENDCONT,
                    DTDEVAGENDRECURCON,
                    NRORG,
                    IDATIVO,
                    DTINCLUSAO,
                    NRORGINCLUSAO,
                    CDOPERINCLUSAO,
                    DTULTATU,
                    NRORGULTATU,
                    CDOPERULTATU
                    )
                VALUES (
                    :NRDEVAGENDRECURCON,
                    :NRRECURSOSAGENDCONT,
                    :DTDEVAGENDRECURCON,
                    :NRORG,
                    :IDATIVO,
                    SYSDATE,
                    :NRORGINCLUSAO,
                    :CDOPERINCLUSAO,
                    :DTULTATU,
                    :NRORGULTATU,
                    :CDOPERULTATU
                	 )";
        
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
    }
}

